POST
/pages/restrictRestrict a page to explicitly permitted members
Switches the page from space-inherited access to an explicit permission list.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
pageIdstringrequired
Page identifier (UUID or slug ID).
200Page restricted
dataunknownoptional
Response payload
statusintegeroptional
successbooleanoptional
403Forbidden, or page permissions not included in the current licence
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Page not found
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned: Forbidden, or page permissions not included in the current licence. A 404 is returned: Page not found.